package com.fr.plugin.loginAuth.dbAccessProvider;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-25
 **/
@Entity
@Table(name = "HT_Auth_User")
public class AuthUserEntity extends BaseEntity {

    public static final String COLUMN_WORKCODE = "workcode";
    public static final String COLUMN_WORKNAME = "workname";
    public static final String COLUMN_CREATEDDATE = "createddate";

    @Column(name = COLUMN_WORKCODE)
    private String workcode = null;

    @Column(name = COLUMN_WORKNAME)
    private String workname = null;

    @Column(name = COLUMN_CREATEDDATE)
    private Date createddate = null;

    public String getWorkcode() {
        return workcode;
    }

    public void setWorkcode(String workcode) {
        this.workcode = workcode;
    }

    public String getWorkname() {
        return workname;
    }

    public void setWorkname(String workname) {
        this.workname = workname;
    }

    public Date getCreateddate() {
        return createddate;
    }

    public void setCreateddate(Date createddate) {
        this.createddate = createddate;
    }
}
