package com.fr.plugin.loginAuth.dbAccessProvider;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-25
 **/
@Entity
@Table(name = "HT_Auth_UserMac")
@TableAssociation(associated = true)
public class AuthUserMacEntity extends BaseEntity {

    public static final String COLUMN_WC = "workcode";
    public static final String COLUMN_DM = "devicemac";
    public static final String COLUMN_DT = "devicetype";
    public static final String COLUMN_AS = "authstatus";
    public static final String COLUMN_CD = "createddate";
    public static final String COLUMN_AD = "authdate";


    @Column(name = COLUMN_WC)
    private String workcode = null;

    @Column(name = COLUMN_DM)
    private String devicemac = null;

    @Column(name = COLUMN_DT)
    private String devicetype = null;

    @Column(name = COLUMN_AS)
    private int authstatus = 0;

    @Column(name = COLUMN_CD)
    private Date createddate = null;

    @Column(name = COLUMN_AD)
    private Date authdate = null;


    public String getWorkcode() {
        return workcode;
    }

    public void setWorkcode(String workcode) {
        this.workcode = workcode;
    }

    public String getDevicemac() {
        return devicemac;
    }

    public void setDevicemac(String devicemac) {
        this.devicemac = devicemac;
    }

    public String getDevicetype() {
        return devicetype;
    }

    public void setDevicetype(String devicetype) {
        this.devicetype = devicetype;
    }

    public int getAuthstatus() {
        return authstatus;
    }

    public void setAuthstatus(int authstatus) {
        this.authstatus = authstatus;
    }

    public Date getCreateddate() {
        return createddate;
    }

    public void setCreateddate(Date createddate) {
        this.createddate = createddate;
    }

    public Date getAuthdate() {
        return authdate;
    }

    public void setAuthdate(Date authdate) {
        this.authdate = authdate;
    }
}

